Page MenuHomePhabricator

permission error without groups when using Special:ContentTranslation with campaign and without enabling the beta feature
Closed, ResolvedPublic

Description

To reproduce:

  1. Go to Simple English Wikipedia.
  2. Make sure that the Content Translation beta feature is disabled.
  3. Go to https://simple.wikipedia.org/wiki/Special:ContentTranslation . Observed: "No such special page", as expected.
  4. Go to https://simple.wikipedia.org/wiki/Special:ContentTranslation?campaign=contributions-page . Observed:

Permission error
You do not have permission to edit this page, for the following reason:
The action you have requested is limited to users in one of the groups: $1.

I'd expect the results in 3 and 4 to be the same, and if the error from 4 really has to be displayed, then it should include the groups - but that's probably irrelevant in any case, because it's about preferences and not groups.

Event Timeline

Amire80 created this task.Jun 17 2015, 12:14 AM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2015, 12:14 AM
Amire80 triaged this task as Normal priority.Jun 17 2015, 12:14 AM
Amire80 set Security to None.

How to reach #4 (without knowing URL)?

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 23 2015, 9:35 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:42 PM
Amire80 lowered the priority of this task from Normal to Low.Oct 14 2015, 8:52 AM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 19 2015, 8:04 AM
Nemo_bis removed a subscriber: Nemo_bis.Jan 18 2016, 2:29 PM
Framawiki added a subscriber: Framawiki.
Amire80 moved this task from Bugs to Out of Beta on the ContentTranslation board.May 9 2017, 5:46 PM
Etonkovidova closed this task as Resolved.Feb 18 2019, 6:32 PM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

Re-checked in wmf.17. The page for two urls is the same displaying